/*
 * Class EV_ENVIRONMENT_IMP
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_1354 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_1354 [] = {0xFF01,1551,1353,0xFFFF};
static const EIF_TYPE_INDEX egt_2_1354 [] = {0xFF01,1353,0xFFFF};
static const EIF_TYPE_INDEX egt_3_1354 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_1354 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_1354 [] = {0xFF01,1353,0xFFFF};
static const EIF_TYPE_INDEX egt_6_1354 [] = {0xFF01,1353,0xFFFF};
static const EIF_TYPE_INDEX egt_7_1354 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_1354 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_1354 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_1354 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_1354 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_1354 [] = {0xFF01,1353,0xFFFF};
static const EIF_TYPE_INDEX egt_13_1354 [] = {0xFF01,0xFF01,972,0xFFFF};
static const EIF_TYPE_INDEX egt_14_1354 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_15_1354 [] = {0xFF01,1131,0xFFFF};
static const EIF_TYPE_INDEX egt_16_1354 [] = {0xFF01,1560,0xFF01,924,0xFFFF};
static const EIF_TYPE_INDEX egt_17_1354 [] = {0xFF01,1560,0xFF01,924,0xFFFF};
static const EIF_TYPE_INDEX egt_18_1354 [] = {0xFF01,1592,1131,0xFFFF};
static const EIF_TYPE_INDEX egt_19_1354 [] = {0xFF01,1131,0xFFFF};
static const EIF_TYPE_INDEX egt_20_1354 [] = {0xFF01,813,0xFFFF};
static const EIF_TYPE_INDEX egt_21_1354 [] = {0xFF01,673,0xFFFF};


static const struct desc_info desc_1354[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_1354), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_1354), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_1354), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_1354), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_1354), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_1354), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_1354), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_1354), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_1354), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_1354), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_1354), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_1354), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0A93 /*1353*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_1354), 30, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26577, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 30339, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 30340, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26578, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26804, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 26579, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_1354), 26580, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0799 /*972*/), 26799, 0},
	{EIF_NON_GENERIC(0x069B /*845*/), 26582, 4},
	{EIF_NON_GENERIC(0x069B /*845*/), 26583, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x069B /*845*/), 26584, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x069B /*845*/), 26585, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x069B /*845*/), 26586, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x069B /*845*/), 26587, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x069B /*845*/), 26588, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26589, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 26590, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 26591, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 26592, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 26593, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26594, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26595, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26596, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26597, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26598, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26599, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 26600, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5671, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5672, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5673, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5674, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5675, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5676, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5677, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5678, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5679, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5680, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5681, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5682, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5683, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5684, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5685, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5686, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5687, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5688, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5689, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5690, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5691, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5692, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5693, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5694, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5695, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5696, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5697, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5698, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5699, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5700, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5701, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5702, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5703, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5704, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5705, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5706, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5707, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5708, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5709, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5710, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5711, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5712, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5713, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5714, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5715, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5716, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5717, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5718, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5719, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5720, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5721, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5722, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5723, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5724, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5725, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5726, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5727, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5728, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5729, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5730, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5731, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5732, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5733, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5734, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5735, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5736, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5737, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5738, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5739, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5740, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5741, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5742, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5743, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5744, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5745, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5746, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5747, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5748, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5749, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5750, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5751, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5752, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5753, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5754, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5755, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5756, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5757, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5758, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5759, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5760, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5761, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5762, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5763, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5764, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5765, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5766, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5767, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5768, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5769, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5770, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5771, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5772, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5773, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5774, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5775, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5776, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5777, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5778, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5779, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5780, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5781, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5782, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5783, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5784, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5785, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5786, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5787, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5788, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5789, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5790, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5791, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5792, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5793, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5794, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5795, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5796, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5797, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5798, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5799, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5800, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5801, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5802, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5803, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5804, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5805, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5806, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5807, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5808, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5809, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5810, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5811, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5812, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5813, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5814, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5815, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5816, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5817, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5818, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5819, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5820, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5821, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5822, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5823, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5824, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5825, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5826, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5827, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5828, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5829, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5830, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5831, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5832, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5833, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5834, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5835, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5836, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5837, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5838, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5839, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5670, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12986, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12987, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12988, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12989, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12990, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12991, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12992, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12993, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12994, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12995, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12996, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12997, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12998, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12999, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 13000, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 13001, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 13002, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x05E9 /*756*/), 13003, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_1354), 13004, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 13005, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 13006, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 13007, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 13008, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 13009, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 13010, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 13011, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 13012, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 13013, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 13014, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 13015, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 12975, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 12976, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12977, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 12978, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 12979, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 12980, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 12981, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 12982, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12983, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12984, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12985, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x079F /*975*/), 26795, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x079F /*975*/), 26796, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_1354), 26797, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_1354), 30341, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_1354), 30342, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 30343, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 30344, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 30345, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 30346, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 26798, 0xFFFFFFFF},
	{EIF_GENERIC(egt_18_1354), 26800, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x079F /*975*/), 26801, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x08D7 /*1131*/), 26802, 0xFFFFFFFF},
	{EIF_GENERIC(egt_19_1354), 26803, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 30336, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 30337, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 30338, 0xFFFFFFFF},
	{EIF_GENERIC(egt_20_1354), 30332, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 30333, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 30334, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 30335, 0xFFFFFFFF},
	{EIF_GENERIC(egt_21_1354), 30347, 0xFFFFFFFF},
};
void Init1354(void)
{
	IDSC(desc_1354, 0, 1353);
	IDSC(desc_1354 + 1, 1, 1353);
	IDSC(desc_1354 + 32, 1513, 1353);
	IDSC(desc_1354 + 59, 188, 1353);
	IDSC(desc_1354 + 229, 753, 1353);
	IDSC(desc_1354 + 270, 576, 1353);
	IDSC(desc_1354 + 284, 1599, 1353);
	IDSC(desc_1354 + 291, 1515, 1353);
}


#ifdef __cplusplus
}
#endif
